Bug 25611 - Changing the vendor when creating the basket does not keep that new vendor
Summary: Changing the vendor when creating the basket does not keep that new vendor
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 7757
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-27 18:00 UTC by Kelly McElligott
Modified: 2020-07-23 23:43 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02, 19.11.08, 19.05.14


Attachments
Bug 25611: Use selected vendor when creating a basket (1.04 KB, patch)
2020-06-05 09:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25611: Use selected vendor when creating a basket (1.10 KB, patch)
2020-06-15 20:06 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25611: Use selected vendor when creating a basket (1.16 KB, patch)
2020-06-16 16:42 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25611: Use selected vendor when creating a basket (1.22 KB, patch)
2020-06-19 14:14 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-05-27 18:00:47 UTC
When creating a basket, the vendor has the ability to be altered from the original chosen vendor.

Currently:
1. Choose Vendor
2. Create Basket
3. Assign a new vendor
4. This new vendor is not changed, it is still on the first vendor that was chosen.

If the vendor can not be changed after initially choosing the vendor, the field should not be a dropdown, where it would appear that a change in vendor can be made.

If the vendor can be changed during the creation of the basket, then this is not currently working.
Comment 1 Jonathan Druart 2020-06-05 09:14:34 UTC
Looks like a super old bug, good catch!
Comment 2 Jonathan Druart 2020-06-05 09:18:20 UTC
Created attachment 105572 [details] [review]
Bug 25611: Use selected vendor when creating a basket

We did not take into account the vendor selected.

Test plan:
1. Choose Vendor
2. Create Basket
3. Assign a new vendor
Without the patch this new vendor is not changed
With the patch applied the vendor is changed

4. Edit the basket, change the vendor
Comment 3 ByWater Sandboxes 2020-06-15 20:06:28 UTC
Created attachment 105891 [details] [review]
Bug 25611: Use selected vendor when creating a basket

We did not take into account the vendor selected.

Test plan:
1. Choose Vendor
2. Create Basket
3. Assign a new vendor
Without the patch this new vendor is not changed
With the patch applied the vendor is changed

4. Edit the basket, change the vendor

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>
Comment 4 ByWater Sandboxes 2020-06-16 16:42:06 UTC
Created attachment 105929 [details] [review]
Bug 25611: Use selected vendor when creating a basket

We did not take into account the vendor selected.

Test plan:
1. Choose Vendor
2. Create Basket
3. Assign a new vendor
Without the patch this new vendor is not changed
With the patch applied the vendor is changed

4. Edit the basket, change the vendor

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>
Comment 5 Julian Maurice 2020-06-19 14:14:31 UTC
Created attachment 106100 [details] [review]
Bug 25611: Use selected vendor when creating a basket

We did not take into account the vendor selected.

Test plan:
1. Choose Vendor
2. Create Basket
3. Assign a new vendor
Without the patch this new vendor is not changed
With the patch applied the vendor is changed

4. Edit the basket, change the vendor

Reported-by: Kelly McElligott <kelly@bywatersolutions.com>
Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Julian Maurice 2020-06-19 14:16:34 UTC
It's strange that we can change the vendor when the page title says "Create new basket for <Vendor>" (and the title is not updated when we select another vendor), but the patch does fix a bug.
Passed QA
Comment 7 Jonathan Druart 2020-06-24 13:32:56 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-07-10 16:10:19 UTC
backported to 20.05.x for 20.05.02
Comment 9 Aleisha Amohia 2020-07-13 02:23:45 UTC
backported to 19.11.x for 19.11.08
Comment 10 Victor Grousset/tuxayo 2020-07-23 23:43:07 UTC
Backported to 19.05.x branch for 19.05.14